import { Observable } from 'rxjs';
export declare class BbApiConfig {
    baseUrl: string;
}
export interface BbApiMapperProtocol {
    toPageResponse<T = any>(data: any): BbApiPageResponse<T>;
    toPageRequest(data: Partial<BbApiPageRequest>): BbApiParams;
}
export interface BbApiParams {
    [name: string]: string | string[];
}
export interface BbApiPageResponse<T = any> {
    totalPages: number;
    totalEntries: number;
    pageSize: number;
    pageNumber: number;
    data: T[];
}
export interface BbApiPageRequest {
    pageNumber: number;
    pageSize: number;
    query: string | null;
    queryFields: string[];
    sort: {
        name: string;
        direction: 'asc' | 'desc';
    }[];
}
export declare class BbDataSourceRequest {
    private _request$;
    readonly when: Observable<BbApiPageRequest>;
    update(params?: Partial<BbApiPageRequest>): void;
}
export declare abstract class BbApiDataSource<T = any> {
    abstract handle(request: BbDataSourceRequest): Observable<BbApiPageResponse<T>>;
}
