import { HttpClient, HttpHeaders, HttpParams } from '@angular/common/http';
import { BbApiConfig, BbApiPageRequest } from './api.interfaces';
import { BbApiMapper } from './api.mapper';
export declare class BbApi {
    private _http;
    private _mapper;
    private _config;
    private readonly _baseUrl;
    constructor(_http: HttpClient, _mapper: BbApiMapper, _config: BbApiConfig);
    page<T = any>(endpoint: string, params?: Partial<BbApiPageRequest>, options?: {
        headers?: {
            [header: string]: string | string[];
        };
        params?: {
            [param: string]: string | string[];
        };
    }): import("rxjs").Observable<{
        pageSize: number;
        pageNumber: number;
        totalPages: number;
        totalEntries: number;
        data: T[];
    }>;
    get<T = any>(endpoint: string, options?: {
        headers?: HttpHeaders | {
            [header: string]: string | string[];
        };
        params?: HttpParams | {
            [param: string]: string | string[];
        };
    }): import("rxjs").Observable<T>;
    post<T = any>(endpoint: string, body: any | null): Promise<T>;
    put<T = any>(endpoint: string, body: any | null): Promise<T>;
    delete<T = any>(endpoint: string): Promise<T>;
    private toAbsoluteUrl;
}
