import { BbStorage } from '../core/services/storage.service';
import { BbJwt } from '../core/services/jwt.service';
import { BbAuthMapper } from './auth.mapper';
import { BbApi } from '../api/api.service';
export declare class BbAuth {
    private _jwt;
    private _storage;
    private _mapper;
    private _api;
    private readonly _apiUserStorageKey;
    private readonly _apiTokenStorageKey;
    private readonly _apiRefreshTokenStorageKey;
    private _user$;
    constructor(_jwt: BbJwt, _storage: BbStorage, _mapper: BbAuthMapper, _api: BbApi);
    readonly isAuthenticated: boolean;
    readonly user: import("rxjs").Observable<any>;
    readonly accessToken: any;
    readonly refreshToken: any;
    readonly payload: any;
    login<T = any>(email: string, password: string, as?: string[]): Promise<any>;
    logout(): void;
    refresh(): import("rxjs").Observable<any>;
    requestPassword(email: string): Promise<any>;
    resetPassword(token: string, newPassword: string): Promise<any>;
    setTokens(token: string, refreshToken: string): void;
    setUser<T = any>(user: T): void;
    clear(): void;
}
