import { AfterViewInit, OnDestroy, OnInit, QueryList } from '@angular/core';
import { BbApiDataSource, BbApiPageResponse, BbDataSourceRequest } from '../../api/api.interfaces';
import { BbTableHeaderCell } from '../table-header-cell/table-header-cell.component';
import { BehaviorSubject, Observable } from 'rxjs';
import { FormControl } from '@angular/forms';
export declare class BbTableColumnDef {
}
export declare class BbTable implements OnInit, AfterViewInit, OnDestroy {
    headerCells: QueryList<BbTableHeaderCell>;
    tableColumnTemplates: QueryList<BbTableColumnDef>;
    identifier: string | null;
    dataSource: BbApiDataSource;
    queryFields: string[];
    sizes: number[];
    trackByFn: (index: number, item: any) => any;
    request: BbDataSourceRequest;
    data$: Observable<BbApiPageResponse>;
    isLoading$: BehaviorSubject<boolean>;
    page$: BehaviorSubject<number>;
    queryControl: FormControl;
    sizeControl: FormControl;
    private _subscription;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    refresh(): void;
}
